[RESOLU] Paquet de certificat en erreur

Questions about WAPT Packaging / Requêtes et aides autour des paquets Wapt.
Règles du forum
Règles du forum communautaire
* English support on www.reddit.com/r/wapt
* Le support communautaire en français se fait sur ce forum
* Merci de préfixer le titre du topic par [RESOLU] s'il est résolu.
* Merci de ne pas modifier un topic qui est taggé [RESOLU]. Ouvrez un nouveau topic en référençant l'ancien
* Préciser version de WAPT installée ( 1.8.2 / 2.0 / 2.1 / 2.2 / etc.) AINSI QUE l'édition Enterprise / Discovery
* Préciser OS du serveur (Linux / Windows) et version (Debian Stretch/Buster - CentOS 7 - Windows Server 2012/2016/2019)
* Préciser OS de la machine d'administration/création des paquets (Windows 7 / 10)
* Comme tout forum communautaire, le support est fait bénévolement par les membres. Si vous avez besoin d'un support commercial, vous pouvez contacter le service commercial Tranquil IT au 02.40.97.57.55
eliottiph
Messages : 18
Inscription : 02 mai 2022 - 10:41

02 mai 2022 - 10:53

Bonjour,

Je suis actuellement en train de tester WAPT Enterprise sur une licence de démo.

J'ai créer un groupe de paquets de certificat qui sont lié à mes utilisateurs, lorsque j'essaie de les déployer voici le log d'erreur que j'obtiens :

Code : Tout sélectionner

Installing cam-cert-adm-etiphaneau(=1.0-1)
Erreur lors de l'installation de ['cam-cert-adm-etiphaneau']: erreurs dans les paquets [[PackageRequest(package='cam-cert-adm-etiphaneau',architectures=['x64'],locales=['fr'],maturities=['PROD'],tags=['windows-10', 'win-10', 'w-10', 'windows10', 'win10', 'w10', 'windows', 'win', 'w'],min_os_version=Version('10.0.19043.2'),max_os_version=Version('10.0.19043.2')), PackageEntry('cam-cert-adm-etiphaneau','1.0-1' architecture='x64',maturity='PROD',target_os='windows'), 'Traceback (most recent call last):\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 5134, in install\n    result = self.install_wapt(p.localpath,\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 4118, in install_wapt\n    raise e\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 3967, in install_wapt\n    setup = import_setup(setup_filename)\n  File "C:\\Program Files (x86)\\wapt\\waptutils.py", line 1539, in import_setup\n    py_mod = imp.load_source(modulename, setupfilename)\n  File "imp.py", line 171, in load_source\n  File "<frozen importlib._bootstrap>", line 702, in _load\n  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked\n  File "<frozen importlib._bootstrap_external>", line 839, in exec_module\n  File "<frozen importlib._bootstrap_external>", line 976, in get_code\n  File "<frozen importlib._bootstrap_external>", line 906, in source_to_code\n  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed\n  File "C:\\WINDOWS\\TEMP\\waptx4_cv5ls\\setup.py", line 24\n    print("Certificate %%s found" %% (crt_location))\n                                   ^\nSyntaxError: invalid syntax\n']]
Traceback (most recent call last):
  File "C:\Program Files (x86)\wapt\waptservice\service.py", line 1880, in run
    self.running_task.run()
  File "C:\Program Files (x86)\wapt\waptservice\waptservice_common.py", line 656, in run
    self._run()
  File "C:\Program Files (x86)\wapt\waptservice\waptservice_common.py", line 1229, in _run
    raise Exception(_('Error during install of {}: errors in packages {}').format(
Exception: Erreur lors de l'installation de ['cam-cert-adm-etiphaneau']: erreurs dans les paquets [[PackageRequest(package='cam-cert-adm-etiphaneau',architectures=['x64'],locales=['fr'],maturities=['PROD'],tags=['windows-10', 'win-10', 'w-10', 'windows10', 'win10', 'w10', 'windows', 'win', 'w'],min_os_version=Version('10.0.19043.2'),max_os_version=Version('10.0.19043.2')), PackageEntry('cam-cert-adm-etiphaneau','1.0-1' architecture='x64',maturity='PROD',target_os='windows'), 'Traceback (most recent call last):\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 5134, in install\n    result = self.install_wapt(p.localpath,\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 4118, in install_wapt\n    raise e\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 3967, in install_wapt\n    setup = import_setup(setup_filename)\n  File "C:\\Program Files (x86)\\wapt\\waptutils.py", line 1539, in import_setup\n    py_mod = imp.load_source(modulename, setupfilename)\n  File "imp.py", line 171, in load_source\n  File "<frozen importlib._bootstrap>", line 702, in _load\n  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked\n  File "<frozen importlib._bootstrap_external>", line 839, in exec_module\n  File "<frozen importlib._bootstrap_external>", line 976, in get_code\n  File "<frozen importlib._bootstrap_external>", line 906, in source_to_code\n  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed\n  File "C:\\WINDOWS\\TEMP\\waptx4_cv5ls\\setup.py", line 24\n    print("Certificate %%s found" %% (crt_location))\n                                   ^\nSyntaxError: invalid syntax\n']]

Exception: Erreur lors de l'installation de ['cam-cert-adm-etiphaneau']: erreurs dans les paquets [[PackageRequest(package='cam-cert-adm-etiphaneau',architectures=['x64'],locales=['fr'],maturities=['PROD'],tags=['windows-10', 'win-10', 'w-10', 'windows10', 'win10', 'w10', 'windows', 'win', 'w'],min_os_version=Version('10.0.19043.2'),max_os_version=Version('10.0.19043.2')), PackageEntry('cam-cert-adm-etiphaneau','1.0-1' architecture='x64',maturity='PROD',target_os='windows'), 'Traceback (most recent call last):\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 5134, in install\n    result = self.install_wapt(p.localpath,\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 4118, in install_wapt\n    raise e\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 3967, in install_wapt\n    setup = import_setup(setup_filename)\n  File "C:\\Program Files (x86)\\wapt\\waptutils.py", line 1539, in import_setup\n    py_mod = imp.load_source(modulename, setupfilename)\n  File "imp.py", line 171, in load_source\n  File "<frozen importlib._bootstrap>", line 702, in _load\n  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked\n  File "<frozen importlib._bootstrap_external>", line 839, in exec_module\n  File "<frozen importlib._bootstrap_external>", line 976, in get_code\n  File "<frozen importlib._bootstrap_external>", line 906, in source_to_code\n  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed\n  File "C:\\WINDOWS\\TEMP\\waptx4_cv5ls\\setup.py", line 24\n    print("Certificate %%s found" %% (crt_location))\n                                   ^\nSyntaxError: invalid syntax\n']]
Traceback (most recent call last):
  File "C:\Program Files (x86)\wapt\waptservice\service.py", line 1880, in run
    self.running_task.run()
  File "C:\Program Files (x86)\wapt\waptservice\waptservice_common.py", line 656, in run
    self._run()
  File "C:\Program Files (x86)\wapt\waptservice\waptservice_common.py", line 1229, in _run
    raise Exception(_('Error during install of {}: errors in packages {}').format(
Exception: Erreur lors de l'installation de ['cam-cert-adm-etiphaneau']: erreurs dans les paquets [[PackageRequest(package='cam-cert-adm-etiphaneau',architectures=['x64'],locales=['fr'],maturities=['PROD'],tags=['windows-10', 'win-10', 'w-10', 'windows10', 'win10', 'w10', 'windows', 'win', 'w'],min_os_version=Version('10.0.19043.2'),max_os_version=Version('10.0.19043.2')), PackageEntry('cam-cert-adm-etiphaneau','1.0-1' architecture='x64',maturity='PROD',target_os='windows'), 'Traceback (most recent call last):\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 5134, in install\n    result = self.install_wapt(p.localpath,\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 4118, in install_wapt\n    raise e\n  File "C:\\Program Files (x86)\\wapt\\common.py", line 3967, in install_wapt\n    setup = import_setup(setup_filename)\n  File "C:\\Program Files (x86)\\wapt\\waptutils.py", line 1539, in import_setup\n    py_mod = imp.load_source(modulename, setupfilename)\n  File "imp.py", line 171, in load_source\n  File "<frozen importlib._bootstrap>", line 702, in _load\n  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked\n  File "<frozen importlib._bootstrap_external>", line 839, in exec_module\n  File "<frozen importlib._bootstrap_external>", line 976, in get_code\n  File "<frozen importlib._bootstrap_external>", line 906, in source_to_code\n  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed\n  File "C:\\WINDOWS\\TEMP\\waptx4_cv5ls\\setup.py", line 24\n    print("Certificate %%s found" %% (crt_location))\n                                   ^\nSyntaxError: invalid syntax\n']]
WAPT2.2 ENTREPRISE, Serveur Linux Debian 10, machine d'administration Windows 10.

D'avance merci pour votre retour.
Dernière modification par eliottiph le 02 mai 2022 - 11:48, modifié 1 fois.
Avatar de l’utilisateur
sfonteneau
Expert WAPT
Messages : 1352
Inscription : 10 juil. 2014 - 23:52
Contact :

02 mai 2022 - 11:47

Bonjour

Une erreur s'est glisser dans la dernière version.

Sur votre machine vous pouvez patcher le fichier : C:\Program Files (x86)\wapt\templates\setup_package_template_cert.py.tmpl

Dans le fichier vous pouvez remplacer : les %% par des % (double %% par des simple %)

Merci pour votre retour je viens de corriger

Cordialement
eliottiph
Messages : 18
Inscription : 02 mai 2022 - 10:41

02 mai 2022 - 12:15

Bonjour Monsieur Fonteneau,

Merci pour votre retour.
L'erreur persiste malgré la modification du fichier setup_package_template_cert.py.tmpl
Maintenant ma console crash et désactive le service WAPT de ma machine Win10 console qui est aussi ma machine ou je test les déploiements ,la machine passe en statut "DISCONNECTED", ce qui m'oblige à aller le réactiver à la main.
Log:

Code : Tout sélectionner

Traceback (most recent call last):
  File "C:\Program Files (x86)\wapt\common.py", line 3967, in install_wapt
    setup = import_setup(setup_filename)
  File "C:\Program Files (x86)\wapt\waptutils.py", line 1539, in import_setup
    py_mod = imp.load_source(modulename, setupfilename)
  File "imp.py", line 171, in load_source
  File "<frozen importlib._bootstrap>", line 702, in _load
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 839, in exec_module
  File "<frozen importlib._bootstrap_external>", line 976, in get_code
  File "<frozen importlib._bootstrap_external>", line 906, in source_to_code
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\WINDOWS\TEMP\waptubbf04_n\setup.py", line 24
    print("Certificate %%s found" %% (crt_location))
                                   ^
SyntaxError: invalid syntax

SyntaxError: invalid syntax (setup.py, line 24)
Avatar de l’utilisateur
sfonteneau
Expert WAPT
Messages : 1352
Inscription : 10 juil. 2014 - 23:52
Contact :

02 mai 2022 - 13:48

Oui effectivement le patch permet de corriger le paquet lors de sa création

Vous pouvez donc supprimer l'ancien paquet de certificat de votre repo privé puis fait un oublie sur la machine où le paquet avait déjà été installer:

Code : Tout sélectionner

wapt-get forget packagename
Où clique droit sur le paquet erreur sur la machine depuis la console et "oublier"

Le erreur que vous décrivez en revanche semble étrange et ne sont pas lier au problème précédent

Simon Fonteneau
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 801
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

05 mai 2022 - 19:23

Bonjour,

le template de paquet pour le paquet de certificat a été corrigé dans la dernière release bugfix d'aujoud'hui wapt-2.2.1.11932-6522dccb

Cordialement,

Denis
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
Répondre